> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete user

> Deletes user from current account. If a user has access to multiple accounts,
you must revoke their access to the other accounts before deleting.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/iam_reseller_api.yaml delete /iam/users/{userId}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  license:
    name: Proprietary
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 8a3f138ee1a7
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
  - name: Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](/api-reference/iam-resellers/users/create-a-new-user) method from
      Users management API.
  - name: Users
    description: Client's users management API.
  - name: Sellers
    description: Seller management API.
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
  - name: Services
    description: Client services management API for managing service statuses and options.
  - name: Features
    description: You can manage both free and paid features available for you.
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
  - name: Notification Settings
    description: Notification settings which not connected with branding
  - name: Other
paths:
  /iam/users/{userId}:
    delete:
      tags:
        - Users
      summary: Delete user
      description: >-
        Deletes user from current account. If a user has access to multiple
        accounts,

        you must revoke their access to the other accounts before deleting.
      operationId: iamDeleteUser
      parameters:
        - $ref: '#/components/parameters/UserID'
      responses:
        '200':
          description: User has been successfully deleted.
        '401':
          $ref: '#/components/responses/401'
        '403':
          description: >-
            You do not have permission to perform this action, or the user has
            access to

            multiple accounts and that access must be revoked before the user
            can be deleted.
        '404':
          description: User not found.
components:
  parameters:
    UserID:
      name: userId
      in: path
      required: true
      description: User's ID.
      schema:
        type: integer
  responses:
    '401':
      description: >-
        Authentication credentials were not provided or given token not valid
        for any token type.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````